Skip to content

Update RfQ

Request

Update an RfQ based on its ID.

Security
BearerAuth
Path
idstringrequired

id of the RfQ to update

Headers
Acceptstring(RfqAcceptHeader)required

Set this to application/api.luminovo.rfq-v1+json.

Value:"application/api.luminovo.rfq-v1+json"
Bodyapplication/jsonrequired
namestring or null
internal_numberstring or null
due_datestring or null, (date)
currencynull or CurrencyCode (string)
One of:
null
volume_estimatenull or types.rfq.volume_estimate.v1.VolumeEstimate (object)
One of:
null
statusnull or types.rfq.status.v1.RfQStatus (string)
One of:
null
notesstring or null
internal_notesstring or null
PATCH
/rfqs/{id}
curl -i -X PATCH \
  'https://api.luminovo.com/rfqs/{id}' \
  -H 'Accept: application/api.luminovo.rfq-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "internal_number": "string",
    "due_date": "2019-08-24",
    "currency": null,
    "volume_estimate": null,
    "status": null,
    "shipping_tracking_link": "string",
    "notes": "string",
    "internal_notes": "string"
  }'

Responses

RfQ updated.

Bodyapplication/json
idstring, (uuid)required

The RfQ/project ID. This is the same identifier used by both /rfqs and /projects endpoints.

customerstring, (uuid)required
namestringrequired
ems_internal_numberstring or null

Internal reference

creation_datestring, (date-time)required
due_datestring, (date)required
statusstring(types.rfq.status.v1.RfQStatus)required
Enum:"RequestInDraft""QuotationInProgress""QuotationAvailable""NoQuotation""NoOrder""OrderPlaced""OrderConfirmed""PaymentFailed""OrderInProcurement""OrderInProduction"
sourcing_scenariosArray of strings, (uuid)required
design_items_countinteger, >= 0required
assemblies_countinteger, >= 0required
created_bystring or null, (uuid)
currencystring(CurrencyCode)required
Enum:"EUR""USD""AUD""BGN""BRL""CAD""CHF""CNY""CZK""DKK"
is_archivedbooleanrequired
industrystring(types.assembly.assembly_industry.v1.AssemblyIndustry)required
Enum:"Auto""Medical""Defense""Aero""Rail""Industrial""Construction""Consumer""Other"
notesstring or null
internal_notesstring or null
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "customer": "0ac6320b-fa4d-4235-8d23-413a2b863bad", "name": "string", "ems_internal_number": "string", "creation_date": "2019-08-24T14:15:22Z", "due_date": "2019-08-24", "status": "RequestInDraft", "sourcing_scenarios": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "design_items_count": 0, "assemblies_count": 0, "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "currency": "EUR", "is_archived": true, "industry": "Auto", "notes": "string", "internal_notes": "string" }